Page MenuHomePhabricator

copies-rust: get the parents' copies earlier
ClosedPublic

Authored by marmoute on Dec 21 2020, 5:28 PM.

Details

Summary

This remove some conditional nesting and prepare for future work were we will
unify the handling of copies from p1 and p2.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 21 2020, 5:28 PM
marmoute updated this revision to Diff 24485.Dec 22 2020, 9:11 PM
baymax updated this revision to Diff 24496.Dec 22 2020, 9:46 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 28 2020, 3:18 AM
This revision is now accepted and ready to land.Dec 28 2020, 3:18 AM
baymax updated this revision to Diff 24580.Jan 5 2021, 4:07 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jan 8 2021, 8:30 AM
baymax updated this revision to Diff 24671.Jan 8 2021, 6:15 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25691.Mon, Feb 22, 9:14 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25750.Mon, Feb 22, 11:21 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25789.Mon, Feb 22, 5:12 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.